#ifndef _STANDALONE_H_
#define _STANDALONE_H_ 1
#include <qwidget.h>
#include <qpushbutton.h>
#include <qhbuttongroup.h>
#include <qevent.h>
#include "mainwidget.h"
class Standalone: public QWidget
{
	Q_OBJECT
public:
	Standalone(QWidget *parent=0, const char *name=0);
	void resizeEvent(QResizeEvent *e);
public slots:
	void whatsthis();
	void help();
	void defaults();
	void reset();
	void apply();
	void ok();
	void cancel();
	void configChanged();
signals:
	void done();
private:
	void arrangeWidgets();
	MainWidget *m;
	QHButtonGroup *actions;
	QPushButton *_whatsthis;
	QPushButton *_help;
	QPushButton *_deflt;
	QPushButton *_reset;
	QPushButton *_apply;
	QPushButton *_ok;
	QPushButton *_cancel;
};
#endif
